org.apache.commons.imaging.color

## Class ColorConversions

- java.lang.Object
- - org.apache.commons.imaging.color.ColorConversions

-     public final class ColorConversions
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `convertCIELabtoARGBTest(int cieL, int cieA, int cieB)`
    `static ColorCieLch` | `convertCIELabtoCIELCH(ColorCieLab cielab)`
    `static ColorCieLch` | `convertCIELabtoCIELCH(double L, double a, double b)`
    `static ColorXyz` | `convertCIELabtoXYZ(ColorCieLab cielab)`
    `static ColorXyz` | `convertCIELabtoXYZ(double L, double a, double b)`
    `static ColorCieLab` | `convertCIELCHtoCIELab(ColorCieLch cielch)`
    `static ColorCieLab` | `convertCIELCHtoCIELab(double L, double C, double H)`
    `static ColorXyz` | `convertCIELuvtoXYZ(ColorCieLuv cielch)`
    `static ColorXyz` | `convertCIELuvtoXYZ(double L, double u, double v)`
    `static ColorCmy` | `convertCMYKtoCMY(ColorCmyk cmyk)`
    `static ColorCmy` | `convertCMYKtoCMY(double C, double M, double Y, double K)`
    `static int` | `convertCMYKtoRGB_Adobe(int sc, int sm, int sy, int sk)`
    `static int` | `convertCMYKtoRGB(int c, int m, int y, int k)`
    `static ColorCmyk` | `convertCMYtoCMYK(ColorCmy cmy)`
    `static int` | `convertCMYtoRGB(ColorCmy cmy)`
    `static int` | `convertHSLtoRGB(ColorHsl hsl)`
    `static int` | `convertHSLtoRGB(double H, double S, double L)`
    `static int` | `convertHSVtoRGB(ColorHsv HSV)`
    `static int` | `convertHSVtoRGB(double H, double S, double V)`
    `static ColorXyz` | `convertHunterLabtoXYZ(ColorHunterLab cielab)`
    `static ColorXyz` | `convertHunterLabtoXYZ(double L, double a, double b)`
    `static ColorCmy` | `convertRGBtoCMY(int rgb)`
    `static ColorHsl` | `convertRGBtoHSL(int rgb)`
    `static ColorHsv` | `convertRGBtoHSV(int rgb)`
    `static ColorXyz` | `convertRGBtoXYZ(int rgb)`
    `static ColorCieLab` | `convertXYZtoCIELab(ColorXyz xyz)`
    `static ColorCieLab` | `convertXYZtoCIELab(double X, double Y, double Z)`
    `static ColorCieLuv` | `convertXYZtoCIELuv(ColorXyz xyz)`
    `static ColorCieLuv` | `convertXYZtoCIELuv(double X, double Y, double Z)`
    `static ColorHunterLab` | `convertXYZtoHunterLab(ColorXyz xyz)`
    `static ColorHunterLab` | `convertXYZtoHunterLab(double X, double Y, double Z)`
    `static int` | `convertXYZtoRGB(ColorXyz xyz)`
    `static int` | `convertXYZtoRGB(double X, double Y, double Z)`
    `static double` | `degree_2_radian(double degree)`
    `static double` | `radian_2_degree(double radian)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### convertXYZtoCIELab

          public static ColorCieLab convertXYZtoCIELab(ColorXyz xyz)

    - #### convertXYZtoCIELab

          public static ColorCieLab convertXYZtoCIELab(double X,
                                                       double Y,
                                                       double Z)

    - #### convertCIELabtoXYZ

          public static ColorXyz convertCIELabtoXYZ(ColorCieLab cielab)

    - #### convertCIELabtoXYZ

          public static ColorXyz convertCIELabtoXYZ(double L,
                                                    double a,
                                                    double b)

    - #### convertXYZtoHunterLab

          public static ColorHunterLab convertXYZtoHunterLab(ColorXyz xyz)

    - #### convertXYZtoHunterLab

          public static ColorHunterLab convertXYZtoHunterLab(double X,
                                                             double Y,
                                                             double Z)

    - #### convertHunterLabtoXYZ

          public static ColorXyz convertHunterLabtoXYZ(ColorHunterLab cielab)

    - #### convertHunterLabtoXYZ

          public static ColorXyz convertHunterLabtoXYZ(double L,
                                                       double a,
                                                       double b)

    - #### convertXYZtoRGB

          public static int convertXYZtoRGB(ColorXyz xyz)

    - #### convertXYZtoRGB

          public static int convertXYZtoRGB(double X,
                                            double Y,
                                            double Z)

    - #### convertRGBtoXYZ

          public static ColorXyz convertRGBtoXYZ(int rgb)

    - #### convertRGBtoCMY

          public static ColorCmy convertRGBtoCMY(int rgb)

    - #### convertCMYtoRGB

          public static int convertCMYtoRGB(ColorCmy cmy)

    - #### convertCMYtoCMYK

          public static ColorCmyk convertCMYtoCMYK(ColorCmy cmy)

    - #### convertCMYKtoCMY

          public static ColorCmy convertCMYKtoCMY(ColorCmyk cmyk)

    - #### convertCMYKtoCMY

          public static ColorCmy convertCMYKtoCMY(double C,
                                                  double M,
                                                  double Y,
                                                  double K)

    - #### convertCMYKtoRGB

          public static int convertCMYKtoRGB(int c,
                                             int m,
                                             int y,
                                             int k)

    - #### convertRGBtoHSL

          public static ColorHsl convertRGBtoHSL(int rgb)

    - #### convertHSLtoRGB

          public static int convertHSLtoRGB(ColorHsl hsl)

    - #### convertHSLtoRGB

          public static int convertHSLtoRGB(double H,
                                            double S,
                                            double L)

    - #### convertRGBtoHSV

          public static ColorHsv convertRGBtoHSV(int rgb)

    - #### convertHSVtoRGB

          public static int convertHSVtoRGB(ColorHsv HSV)

    - #### convertHSVtoRGB

          public static int convertHSVtoRGB(double H,
                                            double S,
                                            double V)

    - #### convertCMYKtoRGB_Adobe

          public static int convertCMYKtoRGB_Adobe(int sc,
                                                   int sm,
                                                   int sy,
                                                   int sk)

    - #### convertCIELabtoARGBTest

          public static int convertCIELabtoARGBTest(int cieL,
                                                    int cieA,
                                                    int cieB)

    - #### convertCIELabtoCIELCH

          public static ColorCieLch convertCIELabtoCIELCH(ColorCieLab cielab)

    - #### convertCIELabtoCIELCH

          public static ColorCieLch convertCIELabtoCIELCH(double L,
                                                          double a,
                                                          double b)

    - #### convertCIELCHtoCIELab

          public static ColorCieLab convertCIELCHtoCIELab(ColorCieLch cielch)

    - #### convertCIELCHtoCIELab

          public static ColorCieLab convertCIELCHtoCIELab(double L,
                                                          double C,
                                                          double H)

    - #### degree_2_radian

          public static double degree_2_radian(double degree)

    - #### radian_2_degree

          public static double radian_2_degree(double radian)

    - #### convertXYZtoCIELuv

          public static ColorCieLuv convertXYZtoCIELuv(ColorXyz xyz)

    - #### convertXYZtoCIELuv

          public static ColorCieLuv convertXYZtoCIELuv(double X,
                                                       double Y,
                                                       double Z)

    - #### convertCIELuvtoXYZ

          public static ColorXyz convertCIELuvtoXYZ(ColorCieLuv cielch)

    - #### convertCIELuvtoXYZ

          public static ColorXyz convertCIELuvtoXYZ(double L,
                                                    double u,
                                                    double v)

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.